Bug 1258500 - DHT: After removal of brick files are not fairly distributed across remaining bricks
DHT: After removal of brick files are not fairly distributed across remaining...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sakshi
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 09:58 EDT by RajeshReddy
Modified: 2016-07-31 21:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-24 03:28:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-08-31 09:58:33 EDT
Document URL: 
=================
DHT: After removal of brick files are not fairly distributed across remaining bricks 

Steps:
=======
1. Create a distributed volume with three bricks from three different nodes
2. Mount it on client using nfs and create direcotry and 10k files on mount point
3. Remove any of the brick and after completion of removal brick one brick contains 2x files and one brick contains 1x files though both are of same size

Expected Result:
===============
After removal of brick files needs to be distributed fairly across the remaining bricks

Notes:
=======
I observed the layout of directory on brick has 1x range and another brick has 2x range
Comment 2 Susant Kumar Palai 2016-06-24 03:28:33 EDT
(In reply to RajeshReddy from comment #0)
> Document URL: 
> =================
> DHT: After removal of brick files are not fairly distributed across
> remaining bricks 
> 
> Steps:
> =======
> 1. Create a distributed volume with three bricks from three different nodes
> 2. Mount it on client using nfs and create direcotry and 10k files on mount
> point
> 3. Remove any of the brick and after completion of removal brick one brick
> contains 2x files and one brick contains 1x files though both are of same
> size
The destination of the files purely depends on their hash value and layout on the parent directory. And it does not guarantee that the files will be equally distributed among the bricks for a remove-brick operation.  And the comment below also suggests that the layout might have been generated from a weighted-brick algo.

> 
> Expected Result:
> ===============
> After removal of brick files needs to be distributed fairly across the
> remaining bricks
> 
> Notes:
> =======
> I observed the layout of directory on brick has 1x range and another brick
> has 2x range
This can be the effect of weighted-brick layout distribution.

Note You need to log in before you can comment on or make changes to this bug.